# Data-driven emission quantification

ddeq is Python library for data-driven emission quantification of emission hot
spots such as cities, power plants and industrial facilities.

# Installation in local Linux machines 


- create Python environment:
`conda create -n ddeq-test python=3.9`
`conda activate ddeq-test`
- install additional packages
`conda install jupyterlab`
`conda install pycurl`
- unzip tar.gz file in the Supplement and install using pip
`tar -xzvf ddeq-1.0.tar.gz`
`python -m pip install ddeq-1.0/`

**Next step important for Linux machines**
`pip install --force-reinstall --no-cache-dir -v "diplib==3.4.3"`

-  start JupyterLab
 `cd ddeq-1.0`;`jupyter lab --notebook-dir`


## Documentation

The full documentation is hosted at https://ddeq.readthedocs.io.
